Create Pm Job

Create Pm Job

Create Performance Management Job for reporting on given object Ids and object Type

Request
URI
POST
https://{api_host}/hybridity/api/vnfpm/v1/pm_jobs
COPY
Header Parameters
string
Accept-Language
Optional

Accept-Language


Request Body

null

pmJobRequest of type(s) application/json
Required
{
    "pmJobName": "string",
    "objectIds": [
        "string"
    ],
    "objectType": "string",
    "pmJobCriteria": {
        "performanceMetric": [
            "string"
        ],
        "performanceMetricGroup": [
            "string"
        ],
        "collectionPeriod": 0,
        "reportingPeriod": 0,
        "reportingBoundary": "string"
    }
}
string
pmJobName
Required

pmJobName

array of string
objectIds
Required

objectIds

string
objectType
Required

objectType

pmJobCriteria
Required

pmJobCriteria

Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns pmJobCreateResponse of type(s) application/json
{
    "pmJobId": "string",
    "pmJobName": "string",
    "objectIds": [
        "string"
    ],
    "objectType": "string",
    "pmJobCriteria": {
        "performanceMetric": [
            "string"
        ],
        "performanceMetricGroup": [
            "string"
        ],
        "collectionPeriod": 0,
        "reportingPeriod": 0,
        "reportingBoundary": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
string
pmJobId
Optional

pmJobId

string
pmJobName
Optional

pmJobName

array of string
objectIds
Optional

objectIds

string
objectType
Optional

objectType

pmJobCriteria
Optional

pmJobCriteria

array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors